View a markdown version of this page

ListActions - AWS Support authorization

ListActions

Lists available support actions for a specified AWS service. Use pagination to ensure that the operation returns quickly and successfully.

Request Syntax

GET /actions?maxResults=maxResults&nextToken=nextToken&service=service HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of results to return in a single call. Valid range is 1 to 100.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

The token for the next page of results.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: [a-zA-Z0-9/+=%_-]+

service

The name of the AWS service for which to list available support actions.

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [a-zA-Z0-9-]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "actionSummaries": [ { "action": "string", "description": "string", "service": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

actionSummaries

The list of support actions.

Type: Array of ActionSummary objects

Array Members: Minimum number of 0 items. Maximum number of 100 items.

nextToken

The token for the next page of results, or null if there are no more results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: [a-zA-Z0-9/+=%_-]+

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You don't have sufficient permissions to perform this operation.

HTTP Status Code: 403

InternalServerException

An internal service error occurred. Try again later.

retryAfterSeconds

The number of seconds to wait before retrying the request.

HTTP Status Code: 500

ThrottlingException

The request rate exceeded the allowed limit. Try again later.

retryAfterSeconds

The number of seconds to wait before retrying the request.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

fieldList

A list of fields that fail validation. Each entry identifies the field and the reason for the constraint violation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: